Friends
List Friends
List information about friends.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Query Parameters
offset?integer
A zero-based offset from the default object sorting from where search results start.
Range
0 <= valuen?integer
The number of objects to return.
Default
60Range
1 <= value <= 100offline?boolean
Returns only offline users if true, returns only online and active users if false
Response Body
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/auth/user/friends"[
{
"bio": "string",
"bioLinks": [
"string"
],
"currentAvatarImageUrl": "https://api.vrchat.cloud/api/1/file/file_ae46d521-7281-4b38-b365-804b32a1d6a7/1/file",
"currentAvatarTags": [
"string"
],
"currentAvatarThumbnailImageUrl": "https://api.vrchat.cloud/api/1/image/file_aae83ed9-d42d-4d72-9f4b-9f1e41ed17e1/1/256",
"developerType": "internal",
"displayName": "string",
"friendKey": "string",
"id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"imageUrl": "string",
"isFriend": true,
"last_activity": "2019-08-24T14:15:22Z",
"last_login": "2019-08-24T14:15:22Z",
"last_mobile": "2019-08-24T14:15:22Z",
"last_platform": "standalonewindows",
"location": "string",
"platform": "string",
"profilePicOverride": "string",
"profilePicOverrideThumbnail": "string",
"status": "active",
"statusDescription": "string",
"tags": [
"string"
],
"userIcon": "string"
}
]{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}Check Friend Status GET
Retrieve if the user is currently a friend with a given user, if they have an outgoing friend request, and if they have an incoming friend request. The proper way to receive and accept friend request is by checking if the user has an incoming `Notification` of type `friendRequest`, and then accepting that notification.
Unfriend DELETE
Unfriend a user by ID.